import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var h = Object.defineProperty, m = Object.getOwnPropertyDescriptor, i = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, o) : t, l = p.length - 1, c; l >= 0; l--)
    (c = p[l]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && h(t, o, e), e;
};
let s = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--closeLarge", this.class = "c-pieIcon c-pieIcon--closeLarge", this.name = "IconCloseLarge";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--closeLarge"><path d="m23.42 24.662 1.242-1.242L17.234 16l7.428-7.429-1.242-1.234-7.42 7.43-7.429-7.43-1.234 1.234L14.767 16l-7.43 7.42 1.234 1.242L16 17.234l7.42 7.428Z"></path></svg>`;
  }
};
i([
  n({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  n({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  g("icon-close-large")
], s);
export {
  s as IconCloseLarge
};
